<?php
/**
 * @copyright   Copyright (C) 2005 - 2017 Michael Richey. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

JLoader::import('components.com_fields.libraries.fieldsplugin', JPATH_ADMINISTRATOR);

class PlgFieldsRange extends FieldsPlugin
{
	/**
	 * Transforms the field into a DOM XML element and appends it as a child on the given parent.
	 *
	 * @param   stdClass    $field   The field.
	 * @param   DOMElement  $parent  The field node parent.
	 * @param   JForm       $form    The form.
	 *
	 * @return  DOMElement
	 *
	 * @since   3.7.0
	 */
	public function onCustomFieldsPrepareDom($field, DOMElement $parent, JForm $form)
	{
		$fieldNode = parent::onCustomFieldsPrepareDom($field, $parent, $form);

		if (!$fieldNode)
		{
			return $fieldNode;
		}
		$min = JFactory::getConfig()->get('debug',false)?'':'.min';
		$doc = JFactory::getDocument();
		$doc->addScript(JURI::root(true).'/media/plg_fields_range/js/range'.$min.'.js');
		$doc->addScriptDeclaration(''
			. 'document.addEventListener("DOMContentLoaded",function(){new plg_fields_range_class({target:document.getElementById("jform_com_fields_'.str_replace('-','_',$field->name).'")});},false);');
		$fieldNode->setAttribute('type', 'range');
		
		return $fieldNode;
	}
}

